org.jfree.util

## Class PaintUtilities

- java.lang.Object
- - org.jfree.util.PaintUtilities

-     public class PaintUtilities
      extends java.lang.Object

  Utility code that relates to `Paint` objects.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `colorToString(java.awt.Color c)` Converts a color into a string.
    `static boolean` | `equal(java.awt.Paint p1, java.awt.Paint p2)` Returns `true` if the two `Paint` objects are equal OR both `null`.
    `static java.awt.Color` | `stringToColor(java.lang.String value)` Converts a given string into a color.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### equal

          public static boolean equal(java.awt.Paint p1,
                                      java.awt.Paint p2)

      Returns `true` if the two `Paint` objects are equal OR both `null`. This method handles `GradientPaint`, `LinearGradientPaint` and `RadialGradientPaint` as a special cases, since those classes do not override the `equals()` method.
      Parameters:
        `p1` - paint 1 (`null` permitted).
        `p2` - paint 2 (`null` permitted).
      Returns:
        A boolean.

    - #### colorToString

          public static java.lang.String colorToString(java.awt.Color c)

      Converts a color into a string. If the color is equal to one of the defined constant colors, that name is returned instead. Otherwise the color is returned as hex-string.
      Parameters:
        `c` - the color.
      Returns:
        the string for this color.

    - #### stringToColor

          public static java.awt.Color stringToColor(java.lang.String value)

      Converts a given string into a color.
      Parameters:
        `value` - the string, either a name or a hex-string.
      Returns:
        the color.